package Resources;

// MobileObjects are just like PhysicalObjects, except
// they are specifically designed to have their location 
// changed

public class MobileObject extends PhysicalObject {
	
	// Constructor for our MobileObject
	public MobileObject(String name) {
		// We simply use the constructor for the superclass
		// PhysicalObject
		super(name); 
	}
	
	// Change the location of the MobileObject
	public void change_location(Place loc) {
		// Remove the object from the list of things
		// at its old location
		location.remove_thing(this);
		// Add the object to the list of things at the
		// new location
		loc.add_thing(this);
		// Change the value of the object's current
		// location
		location = loc;
	}
}
