package Resources;

// PhysicalObjects are just like SimObjects, but
// they can be assigned a specific location

public class PhysicalObject extends SimObject {
	public Place location; // The Place where our object lives
	
	// Constructor for PhysicalObjects
	public PhysicalObject(String name) {
		// Call the constructor for the parent class SimObject
		super(name); 
		// By default, set the location to null
		location = null;
	}
	
	// Check to see if the object has been installed yet.
	// If it has been installed, then its location won't
	// be null
	public boolean is_installed() {
		return location!=null;
	}
	
	// Assign a location for the PhysicalObject
	public void install(Place loc) {
		this.note("Installing at " + loc);
		location = loc;
		// Not only do we set this objects location to be
		// the Place object in question, we also add this
		// object to the list of things at that Place
		loc.add_thing(this);
	}
	
	// All PhysicalObjects have a "tick" method, whether
	// or not they use it to do anything interesting
	public void tick() { }
}
